Get Campaigns List
curl --request GET \
--url https://api.kollie.ai/api/v1/campaigns \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.kollie.ai/api/v1/campaigns"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.kollie.ai/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"name": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"start_time": "<string>",
"end_time": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"start_date": "2023-11-07T05:31:56Z",
"phone_numbers": [],
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_params": {}
}
],
"page": 2,
"size": 2,
"total": 1,
"pages": 1,
"previous_page": 123,
"next_page": 123
},
"message": "",
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaigns
Get Campaigns
Gets a paginated list of campaigns for user org
GET
/
api
/
v1
/
campaigns
Get Campaigns List
Authorizations
APIKeyHeaderHTTPBearer
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100⌘I

